using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace Discovery.Core
{
    [Serializable]
	/// <summary>
	/// Server response "payload" - could be anything
	/// </summary>
    public class ServiceInfo
    {
		/// <summary>
		/// Standard port servers listen on 
		/// </summary>
        public static readonly int UDPPort = 3512;

		/// <summary>
		/// Name of the service 
		/// </summary>
        public string ServiceName { get; private set; }
		
		/// <summary>
		/// Endpoint address 
		/// </summary>
        public string EndpointAddress { get; private set; }

        public ServiceInfo(string serviceName, string endpointAddress)
        {
            ServiceName = serviceName;
            EndpointAddress = endpointAddress;
        }
    }
}
